extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Stepper React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Stepper React Component
      script(src="/js/motion/stepper.js")
      f7-motion-stepper(motion)

    p Stepper React component represents <a href="../docs/stepper.html">Stepper</a> component.
    h2 Stepper Components
    p There are following components included:
    ul
      li `Stepper`
    h2 Stepper Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Stepper&gt; properties
        tr
          td init
          td boolean
          td true
          td Initializes Stepper
        tr
          td value
          td number
          td 0
          td Stepper value
        tr
          td min
          td number
          td 0
          td Minimum value
        tr
          td max
          td number
          td 100
          td Maximum value
        tr
          td step
          td number
          td 1
          td Minimal step between values
        tr
          td wraps
          td boolean
          td false
          td When enabled, incrementing beyond maximum value sets value to minimum value; likewise, decrementing below minimum value sets value to maximum value
        tr
          td autorepeat
          td boolean
          td false
          td When enabled it will repeatedly increase/decrease values while you tap and hold plus/minus buttons
        tr
          td autorepeatDynamic
          td boolean
          td false
          td When enabled it will increase autorepeat ratio based on how long you hold the button
        tr
          td input
          td boolean
          td true
          td Defines should it render `<input>` element or not
        tr
          td inputReadonly
          td boolean
          td false
          td Makes inner input element `readonly`
        tr
          td name
          td string
          td
          td Input element "name" attribute
        tr
          td buttonsOnly
          td boolean
          td false
          td Disables inner value container between stepper buttons
        tr
          td formatValue
          td function(value)
          td
          td Custom function to format value for value element between buttons. It must return new formatted value
        tr
          td manualInputMode
          td boolean
          td false
          td Enables manual input mode. This mode allows to type value from keyboard and check fractional part with defined accurancy. Also, `step` parameter is ignored when typing in this mode.
        tr
          td decimalPoint
          td number
          td 4
          td Number of digits after dot, when in manual input mode.
        tr
          td buttonsEndInputMode
          td boolean
          td true
          td Disables manual input mode on Stepper's minus or plus button click.
        tr
          td disabled
          td boolean
          td false
          td Defines whether the stepper is disabled or not
        tr
          td round
          td boolean
          td false
          td Makes stepper round
        tr
          td roundIos
          td boolean
          td false
          td Makes stepper round for iOS theme only
        tr
          td roundMd
          td boolean
          td false
          td Makes stepper round for MD theme only
        tr
          td large
          td boolean
          td false
          td Makes large stepper
        tr
          td largeIos
          td boolean
          td false
          td Makes large stepper for iOS theme only
        tr
          td largeMd
          td boolean
          td false
          td Makes large stepper for MD theme only
        tr
          td small
          td boolean
          td false
          td Makes small stepper
        tr
          td smallIos
          td boolean
          td false
          td Makes small stepper for iOS theme only
        tr
          td smallMd
          td boolean
          td false
          td Makes small stepper for MD theme only
        tr
          td fill
          td boolean
          td false
          td Makes stepper filled color
        tr
          td fillIos
          td boolean
          td false
          td Makes stepper filled color for iOS theme only
        tr
          td fillMd
          td boolean
          td false
          td Makes stepper filled color for MD theme only
        tr
          td raised
          td boolean
          td false
          td Makes stepper raised.
        tr
          td raisedIos
          td boolean
          td false
          td Makes stepper raised for iOS theme.
        tr
          td raisedMd
          td boolean
          td false
          td Makes stepper raised for MD theme.

    h2 Stepper Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;Stepper&gt; events
        tr
          td stepperChange
          td Event will be triggered when Stepper value has been changed
        tr
          td stepperMinusClick
          td Event will be triggered on "minus" button click
        tr
          td stepperPlusClick
          td Event will be triggered on "plus" button click
        tr
          td input
          td Event will be triggered on input's `input` event
    h2 Stepper Methods
    table.methods-table
        tr
          th(colspan="2") &lt;Stepper&gt; methods
        tr
          td .increment()
          td Increment stepper value, similar to clicking on its "plus" button
        tr
          td .decremenet()
          td Decrement stepper value, similar to clicking on its "minus" button
        tr
          td .setValue(<span>newValue</span>)
          td Set new stepper value
        tr
          td .getValue()
          td Returns stepper value
    h2 Examples
    +examplePreview('react', 'stepper.jsx', 'stepper')
